As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 988097 - Allow OOM testing code to be used in non-debug builds
: Allow OOM testing code to be used in non-debug builds
Status: RESOLVED FIXED
[qa-][adv-main31-]
: sec-want
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla31
Assigned To: Christian Holler (:decoder)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on: 872823 964803
Blocks: 912928
  Show dependency treegraph
 
Reported: 2014-03-25 17:48 PDT by Christian Holler (:decoder)
Modified: 2014-07-09 16:59 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
js-oom-opt.patch (3.54 KB, patch)
2014-03-25 17:48 PDT, Christian Holler (:decoder)
jdemooij: review+
Details | Diff | Splinter Review

Description User image Christian Holler (:decoder) 2014-03-25 17:48:09 PDT
Created attachment 8396839 [details] [diff] [review]
js-oom-opt.patch

In bug 964803, we added the --enable-oom-breakpoint flag, which we can now use to also enable the oomAfterAllocations functionality in --disable-debug builds. Patch attached.
Comment 1 User image Jan de Mooij [:jandem] 2014-03-26 11:44:40 PDT
Comment on attachment 8396839 [details] [diff] [review]
js-oom-opt.patch

Review of attachment 8396839 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.

::: js/public/Utility.h
@@ +61,5 @@
>   */
>  #if defined JS_USE_CUSTOM_ALLOCATOR
>  # include "jscustomallocator.h"
>  #else
> +# if defined(JS_DEBUG) || defined(JS_OOM_BREAKPOINT)

Nit: please use DEBUG instead of JS_DEBUG, here and in the other files. We use JS_DEBUG in a few places, but DEBUG has many more hits so it's good to be consistent :)
Comment 2 User image Christian Holler (:decoder) 2014-03-27 11:18:03 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/8d521eaf9b65
Comment 3 User image Wes Kocher (:KWierso) 2014-03-27 19:30:56 PDT
https://hg.mozilla.org/mozilla-central/rev/8d521eaf9b65

Note You need to log in before you can comment on or make changes to this bug.